<div class="pusher">
  <div class="ui inverted segment two column relaxed grid">
    <div class="column">
      <img
        class="ui centered medium circular image"
        [src]="user?.imgUrl"
      />

      <div class="ui inverted segment">
        <div class="ui inverted relaxed divided list">
          <div class="item">
            <div class="content">
              <div class="header">Username:</div>
              {{ user?.username }}
            </div>
          </div>
          <div class="item">
            <div class="content">
              <div class="header">Email:</div>
              {{ user?.email }}
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="column">
      <div class="ui large buttons">
        <button class="ui button" (click)="GetReserved()">Reserved</button>
        <div class="or"></div>
        <button class="ui button active" (click)="GetFavorites()">
          Favorites
        </button>
      </div>

      <div class="ui placeholder segment">
        <p *ngIf="favoritedBooks$.length === 0 && isFavorites">
          Find book that you like and add it to favorites!
        </p>
        <p *ngIf="reservedBooks$.length === 0 && !isFavorites">
          Find book that you like and reserve it!
        </p>
        <div class="ui link four cards" *ngIf="isFavorites">
          <div class="col-4" *ngFor="let book of favoritedBooks$">
            <div>
              <div class="card" routerLink="/book-profile/{{ book._id }}">
                <div>
                  <img
                    class="ui small bordered image"
                    [src]="book.thumbnailUrl"
                  />
                </div>

                <div>
                  {{ book.title }}
                </div>
              </div>

              <button
                class="ui basic button"
                *ngIf="isFavorites"
                (click)="RemoveFavorite(book._id)"
              >
                <i class="minus icon"></i>
                Remove from Favorites
              </button>
            </div>
          </div>
        </div>

        <div class="ui link four cards" *ngIf="!isFavorites">
          <div class="col-4" *ngFor="let book of reservedBooks$">
            <div>
              <div class="card" routerLink="/book-profile/{{ book._id }}">
                <div>
                  <img
                    class="ui small bordered image"
                    [src]="book.thumbnailUrl"
                  />
                </div>

                <div>
                  {{ book.title }}
                </div>
              </div>

              <button
                class="ui basic button"
                *ngIf="!isFavorites"
                (click)="RemoveReserved(book._id)"
              >
                <i class="minus icon"></i>
                Remove from Reserved
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <br />
  <br />
  <div class="ui one row grid">
    <form
      class="ui form"
      [formGroup]="changePassForm"
      (ngSubmit)="onSubmitForm(changePassForm.value)"
    >
      <div class="ui items">
        <div class="item">
          <div class="content">
            <a class="header" (click)="changePassword()"
              >Do you want to change profile password?</a
            >
          </div>
        </div>
      </div>

      <div *ngIf="shouldChangePassword">
        <hr />
        <div class="form-group" class="required field">
          <span class="ui header">
            <label> Old password </label>
            <input
              type="password"
              class="form-control"
              formControlName="oldPass"
            />
          </span>
        </div>

        <div class="form-group" class="required field">
          <span class="ui header">
            <label> New password</label>
            <input
              type="password"
              class="form-control"
              formControlName="newPass"
            />
          </span>
        </div>

        <div>
          <button class="ui button" type="submit">Change</button>
        </div>
      </div>
    </form>
  </div>
</div>
